org.apache.storm.cassandra.bolt

## Class CassandraWriterBolt

- java.lang.Object
- - org.apache.storm.topology.base.BaseComponent
  - - org.apache.storm.topology.base.BaseRichBolt
    - - org.apache.storm.topology.base.BaseTickTupleAwareRichBolt
      - - org.apache.storm.cassandra.bolt.BaseCassandraBolt<Tuple>
        - - org.apache.storm.cassandra.bolt.CassandraWriterBolt

- All Implemented Interfaces:
    Serializable, IBolt, IComponent, IRichBolt

      public class CassandraWriterBolt
      extends BaseCassandraBolt<Tuple>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.storm.cassandra.bolt.BaseCassandraBolt

      `cassandraConf, client, clientProvider, outputCollector, session, topoConfig`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CassandraWriterBolt(CQLStatementTupleMapper tupleMapper)` Creates a new `CassandraWriterBolt` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected AsyncResultHandler<Tuple>` | `getAsyncHandler()`
    `protected void` | `process(Tuple input)` Process a single non-tick tuple of input.

    - ### Methods inherited from class org.apache.storm.cassandra.bolt.BaseCassandraBolt

      `cleanup, declareOutputFields, execute, getAsyncExecutor, getComponentConfiguration, getMapper, getResultHandler, prepare, withCassandraConfig, withOutputFields, withResultHandler, withStreamOutputFields`

    - ### Methods inherited from class org.apache.storm.topology.base.BaseTickTupleAwareRichBolt

      `onTickTuple`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CassandraWriterBolt

          public CassandraWriterBolt(CQLStatementTupleMapper tupleMapper)

      Creates a new `CassandraWriterBolt` instance.

  - ### Method Detail

    - #### getAsyncHandler

          protected AsyncResultHandler<Tuple> getAsyncHandler()

      Specified by:
        `getAsyncHandler` in class `BaseCassandraBolt<Tuple>`

    - #### process

          protected void process(Tuple input)

      Process a single non-tick tuple of input. Implementation needs to handle ack manually. More details on `IBolt.execute(Tuple)`.

      Specified by:
        `process` in class `BaseTickTupleAwareRichBolt`
      Parameters:
        `input` - The input tuple to be processed.

Copyright © 2021 The Apache Software Foundation. All rights reserved.